# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# Copyright 2014 Canonical
# Author: Omer Akram <omer.akram@canonical.com>
#
# This file is part of ubuntu-integration-tests.
#
# dialer-app is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.

from autopilot.input import Touch, Pointer
from unity8.process_helpers import unlock_unity
from unity8.shell.tests import UnityTestCase, _get_device_emulation_scenarios

from ubuntu_integration_tests import fixture_setup, helpers


class IntegrationTestCase(UnityTestCase):

    def setUp(self):
        super(IntegrationTestCase, self).setUp()
        self.pointing_device = Pointer(Touch.create())
        self._set_testability_environment()
        self.unity_proxy = self.launch_unity()
        unlock_unity(self.unity_proxy)
        self.dash = self.main_window.get_dash()

    def _set_testability_environment(self):
        testability_environment = fixture_setup.TestabilityEnvironment()
        self.useFixture(testability_environment)

    @property
    def helpers(self):
        return helpers
